Subject: FITS, GIF, TIFF, etc...

From: lip at s1.gov (Loren I. Petrich)
Date: 24 Mar 92 01:27:16 GMT

There were some references to public-domain code for reading
and writing FITS files. I would like to ask about similar code for
other graphics formats, like GIF, TIFF, and so on.

	I have software that can display FITS and GIF images; what I
need is software that one can call from a program that can read and
write FITS and GIF images, given an array of data to be read into or
written from. In effect, I want:

	(Data Array in Program) -> (FITS or GIF file)

	(FITS or GIF file) -> (Data Array in Program)

	I wish any such software to be callable from C; my preference
would be C, though I would accept Fortran. The hardware I intend to
run it on is Sun workstations, such as the Sun 4 and the Sparc.

	I wish to have such software because I wish to experiment on
various forms of image processing.

/Loren